#include "arc/math/point.h"

ARC_FPoint ARC_FPoint_Lerp(ARC_FPoint *start, ARC_FPoint *end, float t){
    return (ARC_FPoint){
        (1.0f - t) * start->x + t * end->x,
        (1.0f - t) * start->y + t * end->y
    };
}